RealEstate/APPlication/RealEstate/Controllers/LoanController.cs
using RealEstate.Config;
using RealEstate.Database.Service;
using RealEstate.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace RealEstate.Controllers
{
    [CustomAuthorizationFilter]
    public class LoanController : Controller
    {
        private readonly IMA_Loan_Service MA_Loan_Service;
        private readonly IMA_User_Service MA_User_Service;
        public LoanController()
        {
            MA_Loan_Service = new MA_Loan_Service();
            MA_User_Service = new MA_User_Service();
        }
        public ActionResult Index()
        {
            return View(MA_Loan_Service.GetOverAll());
        }

        public ActionResult AddEditLoan(int id = 0)
        {
            var model = this.GetById(id).Data;
            return View(model);
        }

        [HttpPost]
        public ActionResult AddEditLoan(LoanModel model)
        {
            if (ModelState.IsValid)
            {
                var result = MA_Loan_Service.AddEditLoan(model);
                if (result.Success)
                    return RedirectToAction("Index");
                else
                    return View(model);
            }
            else
            {
                model = this.GetById(0).Data;
            }
            return View(model);

        }
        public ActionResult DeleteLoan(int id)
        {
            var result = MA_Loan_Service.DeleteLoan(id);
            return RedirectToAction("Index");
        }

        public DataResult<LoanModel> GetById(int id)
        {
            var result = new DataResult<LoanModel>();
            try
            {
                if (id == 0)
                {
                    result.Data = new LoanModel
                    {
                        UserLst = (from y in MA_User_Service.Get() 
                                   where y.UserBankDetails.Count>0 && y.UserBankDetails.First().Is_Active==true 
                                   select new SelectListItem { Text = y.Name, Value = y.Id.ToString() }).ToList()
                    };
                    result.StatusCode = APIStatusCode.OK;
                }
                else
                {
                    var entity = MA_Loan_Service.Get(id);
                    var model = new LoanModel
                    {
                        Installement = entity.Installement,
                        IsActive = entity.IsActive,
                        Loan = entity.Loan,
                        LoanId = entity.Id,
                        UserId = entity.UserId,
                        UserLst = (from y in MA_User_Service.Get()
                                   where y.UserBankDetails.Count > 0 && y.UserBankDetails.First().Is_Active == true
                                   select new SelectListItem { Text = y.Name, Value = y.Id.ToString() }).ToList(),
                        Mode = entity.Mode
                    };
                    result.StatusCode = APIStatusCode.OK;
                    result.Data = model;
                }
            }
            catch (Exception ex)
            {
                result.Errors.Add(ex.InnerException == null ? ex.Message : ex.InnerException.InnerException.Message);
                result.StatusCode = APIStatusCode.Oops;
            }
            return result;
        }
    }
}

RealEstate/APPlication/RealEstate/Views/Loan/AddEditLoan.cshtml
@model RealEstate.Models.LoanModel

@{
    ViewBag.Title = "Add Edit Leave";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@{

    var rolename = HttpContext.Current.Session["rolename"].ToString();
}

@using (Html.BeginForm("AddEditLoan", "Loan", FormMethod.Post, new { enctype = "multipart/form-data", id = "frm_AddEditLoan" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.HiddenFor(m => Model.LoanId)

    <div class="row">
        <div class="col-xl-12">
            <div class="card bg-white text-black mb-1">
                @*<div class="card-header text-left">
                        Salary Detail
                    </div>*@
                <div class="card-body text-center">

                    <div class="row" style="margin-top:1em;">
                        <div class="col-sm-6">
                            <div class="form-group">
                                @Html.Label("Mode", htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                <div class="col-md-7 float-right">
                                    @Html.DropDownListFor(x => x.Mode, new List<SelectListItem>{
                                        new SelectListItem() {Text = "Cash", Value="Cash"},
                                        new SelectListItem() {Text = "Bank Transfer", Value="Bank Transfer"}
                                        }, new { @class = "form-control" })

                                    @Html.ValidationMessageFor(model => model.Mode, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6">
                            @*<div class="form-group">
                                    @Html.LabelFor(model => model.Installement, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                    <div class="col-md-7 float-right">
                                        @Html.EditorFor(model => model.Installement, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Installement, "", new { @class = "text-danger" })
                                    </div>
                                </div>*@
                        </div>
                    </div>


                    <div class="row" style="margin-top:1em;">
                        <div class="col-sm-6">
                            <div class="form-group">
                                @Html.LabelFor(model => model.Loan, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                <div class="col-md-7 float-right">
                                    @Html.EditorFor(model => model.Loan, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Loan, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6">
                            <div class="form-group">
                                @Html.LabelFor(model => model.Installement, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                <div class="col-md-7 float-right">
                                    @Html.EditorFor(model => model.Installement, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Installement, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="margin-top:1em;">
                        <div class="col-sm-6">
                            <div class="form-group">
                                @Html.LabelFor(model => model.IsActive, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                <div class="col-md-7 float-right">
                                    @Html.CheckBoxFor(model => model.IsActive, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.IsActive, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6">
                            <div class="form-group">
                                @Html.LabelFor(model => model.UserLst, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                <div class="col-md-7 float-right">
                                    @Html.DropDownListFor(m => m.UserId, new SelectList(Model.UserLst, "Value", "Text"), "-- SELECT USER --", new { @class = "form-control", @id = "lstBank" })
                                    @Html.ValidationMessageFor(model => model.UserId, "", new { @class = "text-danger" })

                                </div>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </div>
    
        <div class="row">
            <div class="col-xl-12">
                <div class="card bg-white text-black mb-1">
                    <div class="card-body text-center">
                        <div class="text-center">
                            @if (rolename.ToLower().Contains("admin"))
                            {
                            <input type="submit" value="Submit" class="btn btn-primary" />
                            }
                            <span><a class="btn btn-danger" href="~/Loan/Index">Cancel</a></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
     
}
@section scripts{
    <script type="text/javascript">
        $("#frm_AddEditLoan").submit(function (e) {
            var mode = $("#Mode option:selected").val();
            var r = confirm(mode + " mode seleted. is it OK ?");
            if (r != true) {
                e.preventDefault();
            }
        });
    </script>
}

RealEstate/APPlication/RealEstate/Views/Loan/Index.cshtml
@model IEnumerable<RealEstate.Models.LoanModel>
@{
    ViewBag.Title = "Loan List";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

    <ul class="nav nav-tabs" role="tablist">
        <li class="nav-item active">
            <a class="nav-link active" href="#al" role="tab" data-toggle="tab">Active Loan</a>
        </li>
       
        <li class="nav-item">
            <a class="nav-link" href="#ial" role="tab" data-toggle="tab">In-Active Loan</a>
        </li>


        <li class="nav-item">
            <a class="nav-link" href="#dl" role="tab" data-toggle="tab">Deleted Loan</a>
        </li>
    </ul>

<div class="tab-content">

    <div role="tabpanel" class="tab-pane active in" id="al">
        <div class="card mb-4 employee-details">
            <div class="card-body p-0">
                <div class="datatable table-responsive">
                    <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                        <table id="example" class="table table-striped mydatatable">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Loan</th>
                                    <th>Mode</th>
                                    <th>Installment</th>
                                    <th>Remaining</th>
                                    <th>IsActive</th>
                                    <th>Message</th>
                                    <th>ReferenceId</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.Where(x => x.IsDeleted == false && x.IsActive==true))
                                {

                                    <tr>
                                        <td style="color: blue;"><a href="/Loan/AddEditLoan/@item.LoanId">@item.UserName</a> </td>
                                        <td>@item.Loan</td>
                                        <td>@item.Mode</td>
                                        <td>@item.Installement</td>
                                        <td>@item.Remaining_Amount</td>
                                        <td>@item.IsActive</td>
                                        <td>@item.CF_message</td>
                                        <td>@item.CF_referenceId</td>
                                        <td>
                                            <span title="Edit"><a href="/Loan/AddEditLoan/@item.LoanId"><i class="fas fa-edit"></i></a></span> |
                                            <span title="Delete"><a href="/Loan/DeleteLoan/@item.LoanId"><i class="fas fa-trash-alt"></i></a></span>
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="card-footer text-right">
                <a class="btn btn-primary btn-edit-user" href="/Loan/AddEditLoan">Add Loan</a>
            </div>
        </div>
    </div>

    <div role="tabpanel" class="tab-pane fade" id="ial">
        <div class="card mb-4 employee-details">
            <div class="card-body p-0">
                <div class="datatable table-responsive">
                    <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                        <table id="example" class="table table-striped mydatatable">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Loan</th>
                                    <th>Mode</th>
                                    <th>Installment</th>
                                    <th>Remaining</th>
                                    <th>IsActive</th>
                                    <th>Message</th>
                                    <th>ReferenceId</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.Where(x => x.IsDeleted == false && x.IsActive == false))
                                {

                                    <tr>
                                        <td style="color: blue;"><a href="/Loan/AddEditLoan/@item.LoanId">@item.UserName</a> </td>
                                        <td>@item.Loan</td>
                                        <td>@item.Mode</td>
                                        <td>@item.Installement</td>
                                        <td>@item.Remaining_Amount</td>
                                        <td>@item.IsActive</td>
                                        <td>@item.CF_message</td>
                                        <td>@item.CF_referenceId</td>
                                        <td>
                                            <span title="Edit"><a href="/Loan/AddEditLoan/@item.LoanId"><i class="fas fa-edit"></i></a></span> |
                                            <span title="Delete"><a href="/Loan/DeleteLoan/@item.LoanId"><i class="fas fa-trash-alt"></i></a></span>
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="card-footer text-right">
                <a class="btn btn-primary btn-edit-user" href="/Loan/AddEditLoan">Add Loan</a>
            </div>
        </div>
    </div>

    <div role="tabpanel" class="tab-pane fade" id="dl">
        <div class="card mb-4 employee-details">
            <div class="card-body p-0">
                <div class="datatable table-responsive">
                    <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                        <table id="example" class="table table-striped mydatatable">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Loan</th>
                                    <th>Mode</th>
                                    <th>Installment</th>
                                    <th>Remaining</th>
                                    <th>IsActive</th>
                                    <th>Message</th>
                                    <th>ReferenceId</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.Where(x => x.IsDeleted == true))
                                {
                                    <tr>
                                        <td style="color: blue;"><a href="#">@item.UserName</a> </td>
                                        <td>@item.Loan</td>
                                        <td>@item.Mode</td>
                                        <td>@item.Installement</td>
                                        <td>@item.Remaining_Amount</td>
                                        <td>@item.IsActive</td>
                                        <td>@item.CF_message</td>
                                        <td>@item.CF_referenceId</td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="card-footer text-right">
                <a class="btn btn-primary btn-edit-user" href="/Loan/AddEditLoan">Add Loan</a>
            </div>
        </div>
    </div>

</div>






@section Scripts
{
    <script type="text/javascript">

    </script>
}